TOTP / HOTP – генератор на сигурни еднократни пароли
Генераторът TOTP / HOTP създава еднократни пароли от споделена Base32 тайна. TOTP използва текущото време, докато HOTP използва брояч. Изберете 6, 7 или 8 цифри, SHA-1, SHA-256 или SHA-512 и времеви период като 15, 30 или 60 секунди. Живо обратно броене показва колко дълго текущият TOTP код остава валиден.
Генераторът TOTP / HOTP създава еднократните пароли, използвани в двуфакторното удостоверяване. Поддържа TOTP (RFC 6238), който извежда нов код от текущото време и споделена тайна, и HOTP (RFC 4226), който извежда код от брояч. Споделената тайна е кодирана като Base32 (RFC 4648), форматът, пренасян от QR кодовете за Google Authenticator.
За генериране на кодове инструментът използва споделената тайна с избраните настройки. Можете да изберете 6, 7 или 8 цифри, SHA-1, SHA-256 или SHA-512 и TOTP период като 15, 30 или 60 секунди. Жива лента за обратно броене показва колко дълго текущият базиран на време код остава валиден. Изчисленията използват WebCrypto HMAC и се изпълняват локално във вашия браузър.
TOTP и HOTP се различават по стойността, използвана за извеждане на всеки код: TOTP използва време, докато HOTP използва брояч. И двата формата създават еднократни пароли от споделена тайна, но разликата е важна при тестване или работа с конкретен поток за двуфакторно удостоверяване. Използвайте генератора, за да подготвите кодове за тестови данни, да проверите работен процес за удостоверяване или да сравните двата стандарта.
Генераторът TOTP / HOTP работи във вашия браузър и никакви данни не се изпращат към сървър. Няма зависимост от сървър, така че след зареждане на страницата продължава да работи офлайн. Това го прави полезен за разработчици и DevOps инженери, които имат нужда от кодове за локално тестване, фикстури, документация или задачи за разработка, без да изпращат споделената тайна другаде.
Стъпка 1: Въведете споделената тайна във формат Base32, кодировката, използвана в QR кодовете на приложенията за удостоверяване.
Стъпка 2: Настройте наличните опции: изберете 6, 7 или 8 цифри и SHA-1, SHA-256 или SHA-512.
Стъпка 3: Изберете времеви период за TOTP, например 15, 30 или 60 секунди.
Стъпка 4: Генерирайте еднократната парола и проверете живото обратно броене, за да видите колко дълго текущият TOTP код остава валиден.
Стъпка 5: Копирайте стойностите, които ви трябват за вашия тест, фикстура или друг работен процес.
Случай на употреба: Генерирайте TOTP или HOTP стойности за тестове за удостоверяване, фикстури и seed данни, вместо да въвеждате примерни кодове ръчно.
Случай на употреба: Създайте партида от кодове наведнъж при подготовка на тестови данни, като алтернатива на ръчното измисляне на стойности.
Случай на употреба: Създавайте кодове според избрания стандарт и настройки, вместо да разчитате на предположения, въведени на клавиатурата.
Случай на употреба: Проверете как споделена Base32 тайна създава еднократна парола при тестване на работен процес за удостоверяване.
Случай на употреба: Сравнете базирани на време TOTP кодове с базирани на брояч HOTP кодове при разработка или отстраняване на грешки в двуфакторно удостоверяване.
Случай на употреба: Подгответе примерни еднократни пароли за документация, демонстрации или друга работа по разработка.